Bug 152279 - Allow verification of single files
Allow verification of single files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-27 04:58 EST by Kasper Dupont
Modified: 2015-06-12 04:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-12 04:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2005-03-27 04:58:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031114

Description of problem:
Currently the only way to verify a file is by verifying the entire package. For a large package this can be very time consuming, evenmore so now that every single executable have to be prosessed by prelink as part of the verification process. Sometimes it is desirable to be able to verify just a single file.

Version-Release number of selected component (if applicable):
rpm-4.3.2-21

How reproducible:
Always

Steps to Reproduce:
1. Type: rpm -Vf filename


Actual Results:  Every file in that package is verified.

Expected Results:  There should be some option to allow verification of only the files explicitly specified on the command line.

Additional info:
Comment 1 Matthew Miller 2006-07-10 17:14:26 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Kasper Dupont 2006-10-09 23:59:29 EDT
It seems bugzilla will not let me reopen this feature request eventhough I
updated version from FC3 to FC5.
Comment 3 Red Hat Bugzilla 2007-08-21 01:19:48 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 Panu Matilainen 2007-08-22 02:31:24 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 5 Panu Matilainen 2007-10-25 08:13:23 EDT
Moving to devel to avoid timeouting...
Comment 6 Fedora Admin XMLRPC Client 2012-04-13 19:11:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2012-04-13 19:13:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Ľuboš Kardoš 2015-06-12 04:31:23 EDT
We are not able to fix this without changes in public header files (without changes in API) and I don't see benefit in having this feature so I am closing this as wantfix. You can reopen this but describe more your use case, why it is important for you to have this feature.

Note You need to log in before you can comment on or make changes to this bug.